Skip to main content
POST
/
v1
/
whatsapp
/
conversations
/
{conversation_id}
/
read
Mark a conversation read
curl --request POST \
  --url https://karibu.briq.tz/v1/whatsapp/conversations/{conversation_id}/read \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "up_to": "2023-11-07T05:31:56Z"
}
'
{
  "success": true,
  "data": {
    "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "messages_marked_read": 123
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>",
      "field": "<string>"
    }
  ],
  "request_id": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

conversation_id
string<uuid>
required

Body

application/json
up_to
string<date-time> | null

Mark inbound messages up to this time read. Defaults to now.

Response

Successful Response

success
boolean
data
object
errors
object[] | null
request_id
string